::************************************************************************
::Author:     Wistron(Kunshan) RD SW spec
::Purpose:    Detect Wireless and invoke the corresponding setup.exe 
::Project:    Lenovo IPG
::Build Date: 2010.11.06
::Version:    0.1
::Update History:
::       0.1: First release for B46E.

::************************************************************************

@echo off
:Wireless

devcon find @PCI\VEN_14E4*DEV_4727* | find /N "No matching"
if %ERRORLEVEL%==1  goto Broadcom
devcon find @PCI\VEN_168C*DEV_002B* | find /N "No matching"
if %ERRORLEVEL%==1  goto Atheros
goto end0

:Atheros
.\Atheros\setup -s -f2D:\log.log
goto end

:Broadcom
.\Broadcom\setup\setup /s /f2"D:\wlan.log"
goto end

:end
ECHO Install Finish!!
goto end1

:end0
echo "No Matched Wireless Device In This System." > nowireless.log

:end1
